# Enum Class SiaVersion

java.lang.Object
java.lang.Enum<SiaVersion>
uk.ac.starlink.vo.SiaVersion

All Implemented Interfaces:
  `Serializable, Comparable<SiaVersion>, Constable`

public enum SiaVersion extends Enum<SiaVersion>
Version of the Simple Image Access protocol.

Since:
  12 Mar 2020
Author:
  Mark Taylor
See Also:
  - Simple Image Access Protocol

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`V10`
SIA version 1.0.
`V20`
SIA version 2.0.

## Method Summary

Modifier and Type
Method
Description
`abstract uk.ac.starlink.table.StarTable`
`executeQuery(String serviceUrl, double ra, double dec, double size, SiaFormatOption format, uk.ac.starlink.table.StarTableFactory factory, uk.ac.starlink.util.ContentCoding coding)`
Performs an SIA positional query.
`static SiaVersion`
`forInterface(RegCapabilityInterface intf)`
Returns the version object appropriate for use with a given capability interface.
`String`
`getDocumentUrl()`
Returns the URL of the standards document defining this version.
`int`
`getMajorVersion()`
Returns the major version number.
`Ivoid`
`getStandardId()`
Returns the StandardsRegExt identifier associated with this version of the SIA standard.
`String`
`toString()`
`boolean`
`usesUcd1()`
Returns true if query responses use the UCD1 standard, false if they use the UCD1+ standard.
`static SiaVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SiaVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### V10

public static final SiaVersion V10
SIA version 1.0.

### V20

public static final SiaVersion V20
SIA version 2.0.

## Method Details

### values

public static SiaVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SiaVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMajorVersion

public int getMajorVersion()
Returns the major version number.

Returns:
  major version number

### getDocumentUrl

public String getDocumentUrl()
Returns the URL of the standards document defining this version.

Returns:
  document URL

### getStandardId

public Ivoid getStandardId()
Returns the StandardsRegExt identifier associated with this version of the SIA standard.

Returns:
  standardId

### usesUcd1

public boolean usesUcd1()
Returns true if query responses use the UCD1 standard, false if they use the UCD1+ standard.

Returns:
  true for UCD1, false for UCD1+

### executeQuery

public abstract uk.ac.starlink.table.StarTable executeQuery(String serviceUrl, double ra, double dec, double size, SiaFormatOption format, uk.ac.starlink.table.StarTableFactory factory, uk.ac.starlink.util.ContentCoding coding) throws IOException
Performs an SIA positional query. The exact geometry of the query is not defined here, but the `size` parameter defines an angular extent such as the width of a rectangular region or a diameter (not radius) of a cone.

Parameters:
  `serviceUrl` - base URL for SIA service query resource
  `ra` - central right ascension position in degrees
  `dec` - central declination position in degrees
  `size` - extent of query in degrees
  `format` - required format for query result records returned
  `factory` - table factory
  `coding` - content coding for communications
Returns:
  table giving query result
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SiaVersion>`

### forInterface

public static SiaVersion forInterface(RegCapabilityInterface intf)
Returns the version object appropriate for use with a given capability interface.

Parameters:
  `intf` - interface
Returns:
  SIA version used by interface; not null, a best guess is used if necessary